# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class GmDisapproved

    java.lang.Object
      com.google.api.gbase.client.GmDisapproved

All Implemented Interfaces:
  Extension

    public class GmDisapproved

extends java.lang.Object
implements Extension

Object representation of the gm:disapproved tag.

Constructor Summary
`GmDisapproved()` Creates a gm:disapproved tag.

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates a gm:status tag if the status name is set.
`static ExtensionDescription` `getDefaultDescription()` Returns a description for this extension.
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` Reads a gm:disapproved tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GmDisapproved

    public GmDisapproved()

  Creates a gm:disapproved tag.

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns a description for this extension.

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Generates a gm:status tag if the status name is set.

  Specified by:
    `generate` in interface `Extension`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)
                                        throws ParseException,
                                               java.io.IOException

  Reads a gm:disapproved tag.

  Specified by:
    `getHandler` in interface `Extension`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler
  Throws:
    `ParseException` - when an unexpected tag or badly-formatted XML is detected
    `java.io.IOException`